import axiosApi from './AxiosApi.js'

const apiList = {
  getCashList: `/cashOutDetail/page/audit`,
  getDetail: '/cashOutDetail/audit/',
  audiCash: '/cashOutDetail/audit',
  getDepositList: `/depositJournal/page`, // 保证金列表
  getDepositSum: `/depositJournal/summary`, // 保证金总金额
  getDayList: `/journalDetail/platform-finance-page`,
  getSummary: `/journalDetail/platform-finance-summary`
}
export default {
  // 提现审核列表
  getCashList(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.getCashList,
      data
    })
  },
  // 查询提现审核
  getDetail(id) {
    return axiosApi({
      method: 'GET',
      url: apiList.getDetail + id
    })
  },
  // 提现审核
  audiCash(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.audiCash,
      data
    })
  },
  // 保证金列表
  getDepositList(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.getDepositList,
      data
    })
  },
  // 保证金总金额
  getDepositSum() {
    return axiosApi({
      method: 'POST',
      url: apiList.getDepositSum
    })
  },
  // 平台流水列表
  getDayList(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.getDayList,
      data
    })
  },
  // 平台财务统计
  getSummary() {
    return axiosApi({
      method: 'POST',
      url: apiList.getSummary
    })
  }
}
